Activity log for bug #1749281

Date Who What changed Old value New value Message
2018-02-13 19:55:30 David A. Desrosiers bug added bug
2018-02-13 19:56:59 David A. Desrosiers summary MAAS 2.3 does not revert system Squid back to original state when removed MAAS 2.3 does not revert system proxy back to original state when MAAS is removed
2018-02-13 19:57:10 David A. Desrosiers description When MAAS is installed on a host that has an existing proxy configured and running with Squid, it disables this instance of Squid, replacing it with its own, and points /usr/sbin/squid to the MAAS proxy configuration in /var/lib/maas/maas-proxy.conf. When removing MAAS (for any reason, rebuild, teardown), MAAS will remove its own proxy configuration, but does not return the system squid back to a running state as it found it when it was installed. If the system is configured to look for the system proxy on :3128, such as http{,s}_proxy environment variables in /etc/environment, Acquire::http::Proxy in /etc/apt/apt.conf or elsewhere, shutting down or removing MAAS will leave the system in a degraded/broken state. Ideally, MAAS could run its own proxy process on a separate port, negating the need to clobber the system configuration and ports, but there may be other concerns preventing that configuration from being supported. This bug is to track MAAS storing of some level of system/host state, so it can return the system to that state when the MAAS is removed from the system. When MAAS is installed on a host that has an existing proxy configured and running with Squid, it disables this instance of Squid, replacing it with its own, and points /usr/sbin/squid to the MAAS proxy configuration in /var/lib/maas/maas-proxy.conf. When removing MAAS (for any reason, rebuild, teardown), MAAS will remove its own proxy configuration, but does not return the system squid back to a running state as it found it when it was installed. If the system is configured to look for the system proxy on :3128, such as http{,s}_proxy environment variables in /etc/environment, Acquire::http::Proxy in /etc/apt/apt.conf or elsewhere, shutting down or removing MAAS will leave the system in a degraded/broken state. Ideally, MAAS could run its own proxy process on a separate port, negating the need to clobber the system configuration and ports, but there may be other concerns preventing that configuration from being supported. This bug is to track MAAS storing of some level of system/host state, so it can return the system to that state when the MAAS is removed from the system.
2018-02-13 20:02:17 Andres Rodriguez maas: milestone 2.4.x
2018-02-13 20:02:20 Andres Rodriguez maas: assignee Andres Rodriguez (andreserl)
2018-02-13 20:02:23 Andres Rodriguez maas: importance Undecided Medium
2018-02-13 20:02:25 Andres Rodriguez maas: status New Triaged
2018-02-14 19:47:27 Andres Rodriguez maas: milestone 2.4.x 2.4.0alpha2
2018-02-14 19:55:41 Launchpad Janitor merge proposal linked https://code.launchpad.net/~andreserl/maas/+git/maas/+merge/337735
2018-02-14 19:56:20 Andres Rodriguez maas: status Triaged In Progress
2018-02-15 22:33:07 MAAS Lander maas: status In Progress Fix Committed
2018-03-13 12:12:54 Andres Rodriguez maas: status Fix Committed Fix Released